RawFrame
API referenceWebhook endpoints

Update a webhook endpoint

PATCH
/v1/webhook_endpoints/{endpoint_id}

Setting status to enabled also re-enables an auto-disabled endpoint. Requires webhooks:write.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key, e.g. rf_live_3f9k2q_….

Path Parameters

endpoint_id*string
Match^whe_

Request Body

application/json
  1. body
url?string
Match^https://
Formaturi
Lengthlength <= 2048
description?string
Lengthlength <= 200
event_types?array<>
status?string
Value in"enabled""disabled"

Response Body

Updated endpoint.

application/json
  1. response
object*unknown
id*string
Match^whe_
url*string
Formaturi
description?string
event_types*array<>
status*string
Value in"enabled""disabled""auto_disabled"
created_at*string
Formatdate-time
Example Request
curl -X PATCH 'https://api.rawframe.dev/v1/webhook_endpoints/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "object": "webhook_endpoint",  "id": "string",  "url": "http://example.com",  "description": "string",  "event_types": [    "generation.succeeded"  ],  "status": "enabled",  "created_at": "2019-08-24T14:15:22Z"}